commit:     317fc114898c370026672bdbd800bff54c81a71d
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Jul  2 23:28:33 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jul  2 23:28:55 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=317fc114

sys-devel/mold: add 1.3.1

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-devel/mold/Manifest          |  1 +
 sys-devel/mold/mold-1.3.1.ebuild | 97 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 98 insertions(+)

diff --git a/sys-devel/mold/Manifest b/sys-devel/mold/Manifest
index 775461104562..0ca5f897179c 100644
--- a/sys-devel/mold/Manifest
+++ b/sys-devel/mold/Manifest
@@ -1,2 +1,3 @@
 DIST mold-1.2.1.tar.gz 4669615 BLAKE2B 
ba483a479d3eff0ea1dbce0da8c292b6a95c0faee2ac0f52d7be392e41d70e5ff3d7859e43fd721720bfb8331984823f2762acfd9dc51d3f5d8fd0a4865088c9
 SHA512 
fc39674b00119d09b3275ed7232356f0b25dad1a0f3a498f9db1a4835b6d4f9ea637ca9a643a05591ea895e8751d9bee43cdcb42303beb082462e76ddb42a0f1
 DIST mold-1.3.0.tar.gz 4689476 BLAKE2B 
2696f74095763ecda7407d1e677a568e0fddbaf5a3ba16dd21e998d80ff77968d77f46f981958087ada11ede181bee1f0bb8c511eede549a81f4edd7c9dc1280
 SHA512 
c9da8ece83049afcb815444c81d090a7bdead85b88898460cd94cfc83766b54793d3aa15ce7ce3bd8070a080d1241684c15ad81485ec39cfef768360c574964a
+DIST mold-1.3.1.tar.gz 4692379 BLAKE2B 
e34e9416cfc65d2097c4659ddc205a0c4492e50a1c6e4560006757e5c371d27410e38131f353cd0ee60b124e5fe42b0a1c50cdc3a7bed9f666596e608340e4fd
 SHA512 
f576d2fcfee5cb3bade5ba24dcdd3020a16131ce7d4c3a00c3f92b94785ed86f3f040a6f5814b9c975c4c3d90a2b8c36a8101d5fbf1bc0a4be316f4a4a6dcefa

diff --git a/sys-devel/mold/mold-1.3.1.ebuild b/sys-devel/mold/mold-1.3.1.ebuild
new file mode 100644
index 000000000000..2a7faac5052d
--- /dev/null
+++ b/sys-devel/mold/mold-1.3.1.ebuild
@@ -0,0 +1,97 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="A Modern Linker"
+HOMEPAGE="https://github.com/rui314/mold";
+if [[ ${PV} == 9999 ]] ; then
+       EGIT_REPO_URI="https://github.com/rui314/mold.git";
+       inherit git-r3
+else
+       SRC_URI="https://github.com/rui314/mold/archive/refs/tags/v${PV}.tar.gz 
-> ${P}.tar.gz"
+       KEYWORDS="~amd64"
+fi
+
+LICENSE="AGPL-3"
+SLOT="0"
+
+RDEPEND=">=dev-cpp/tbb-2021.4.0:=
+       sys-libs/zlib
+       !kernel_Darwin? (
+               >=dev-libs/mimalloc-2:=
+               dev-libs/openssl:=
+       )"
+# As of 1.1, xxhash is now a header-only dep, but it's now bundled :(
+# TODO: restore SYSTEM_XXHASH upstream?
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+       # Bug #841575
+       "${FILESDIR}"/${PN}-1.2.1-install-nopython.patch
+       "${FILESDIR}"/${PN}-1.3.0-openssl-pkgconfig.patch
+)
+
+pkg_pretend() {
+       # Requires a c++20 compiler, see #831473
+       if [[ ${MERGE_TYPE} != binary ]]; then
+               if tc-is-gcc && [[ $(gcc-major-version) -lt 10 ]]; then
+                       die "${PN} needs at least gcc 10"
+               elif tc-is-clang && [[ $(clang-major-version) -lt 12 ]]; then
+                       die "${PN} needs at least clang 12"
+               fi
+       fi
+}
+
+src_prepare() {
+       default
+
+       # Needs unpackaged dwarfdump
+       rm test/elf/{{dead,compress}-debug-sections,compressed-debug-info}.sh 
|| die
+
+       # Heavy tests, need qemu
+       rm test/elf/gdb-index-{compress-output,dwarf{2,3,4,5}}.sh || die
+       rm test/elf/lto-{archive,dso,gcc,llvm,version-script}.sh || die
+
+       # Sandbox sadness
+       rm test/elf/run.sh || die
+       sed -i 's|`pwd`/mold-wrapper.so|"& ${LD_PRELOAD}"|' \
+               test/elf/mold-wrapper{,2}.sh || die
+
+       # static-pie tests require glibc built with static-pie support
+       if ! has_version -d 'sys-libs/glibc[static-pie(+)]'; then
+               rm test/elf/{,ifunc-}static-pie.sh || die
+       fi
+}
+
+src_compile() {
+       tc-export CC CXX
+
+       emake \
+               CFLAGS="${CFLAGS}" \
+               CXXFLAGS="${CXXFLAGS}" \
+               SYSTEM_TBB=1 \
+               SYSTEM_MIMALLOC=1 \
+               STRIP="true" \
+               LIBDIR="${EPREFIX}/usr/$(get_libdir)"
+}
+
+src_test() {
+       emake \
+               SYSTEM_TBB=1 \
+               SYSTEM_MIMALLOC=1 \
+               check
+}
+
+src_install() {
+       emake \
+               SYSTEM_TBB=1 \
+               SYSTEM_MIMALLOC=1 \
+               DESTDIR="${D}" \
+               PREFIX="${EPREFIX}/usr" \
+               LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
+               STRIP="true" \
+               install
+}

Reply via email to